package lt.bit.SauktiniuSarasas.services;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import lt.bit.SauktiniuSarasas.entities.Sauktinis;
import lt.bit.SauktiniuSarasas.repositories.SauktinisRepository;

@Service
public class SauktiniaiService {
	@Autowired
	SauktinisRepository sauktinisRepository;
	
	public List<Sauktinis> getSauktiniai(){
		return sauktinisRepository.findAll();
	}
	
	public Sauktinis saveSauktinis(Sauktinis sauktinis) {
		return sauktinisRepository.save(sauktinis);
	}
	public Sauktinis getSauktinis(Integer id) {
		return sauktinisRepository.findById(id).orElse(null);
		
	}
	public Sauktinis updateSauktinis(Sauktinis s) {
		Sauktinis old=this.getSauktinis(s.getId());
		old.setName(s.getName());
		old.setSurname(s.getSurname());
		old.setEmail(s.getEmail());
		old.setPhone(s.getPhone());
		old.setAge(s.getAge());
		sauktinisRepository.save(old);
		return old;
	}
	public void deleteSauktinis(Integer id) {
		sauktinisRepository.deleteById(id);
	}

	public Sauktinis getByEmail(String email) {
		Sauktinis s=sauktinisRepository.findByEmail(email);
		return s;
	}

}
